GNU bug report logs - #1379
[gtk] emacs --daemon not working with X11 dual-head

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: rf@HIDDEN; dated Wed, 19 Nov 2008 15:20:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to '[gtk] emacs --daemon not working with X11 dual-head' from 'emacs --daemon not working with X11 dual-head' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 1379 <at> debbugs.gnu.org:


Received: (at 1379) by debbugs.gnu.org; 8 Jul 2013 07:05:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 03:05:26 2013
Received: from localhost ([127.0.0.1]:38439 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Uw5Vj-00024D-Mh
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2013 03:05:25 -0400
Received: from arati.lostca.se ([144.76.32.53]:42054 ident=having)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ashish.is@HIDDEN>) id 1Uw5Vb-00023r-Hr
 for 1379 <at> debbugs.gnu.org; Mon, 08 Jul 2013 03:05:20 -0400
Received: from arati.lostca.se (localhost [127.0.0.1])
 by arati.lostca.se (Postfix) with ESMTP id E5409D1A
 for <1379 <at> debbugs.gnu.org>; Mon,  8 Jul 2013 07:03:21 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=lostca.se; h=from:to
 :subject:date:message-id:mime-version:content-type; s=howrah;
 bh=JTIa3sGgKz4GZ/w9WnFR+d4YraM=; b=Yp59ITiPXRsR+YYYT76R+zogUm6v
 SwQdrgo8A+oMDAplTnqEWSwCDp6CwrQZjNHcpnPO+y1XkVCNVx6SSCiypKMI4ypH
 U30SzrnWgq19itSr4WtIHRPQT0KcbCfiCSs8Tj1HcLC7jW1dvM1InM4j5OZ5r6SL
 BJYMZUNoRU2pYh4=
Received: from chateau.d.if (localhost [IPv6:::1])
 by arati.lostca.se (Postfix) with ESMTP id 60298D19
 for <1379 <at> debbugs.gnu.org>; Mon,  8 Jul 2013 07:03:20 +0000 (UTC)
Received: from chateau.d.if (localhost [IPv6:::1]);
 by chateau.d.if (OpenSMTPD) with ESMTP id d7e25926;
 for <1379 <at> debbugs.gnu.org>; Mon, 8 Jul 2013 12:34:25 +0530 (IST)
X-Hashcash: 1:20:130708:1379 <at> debbugs.gnu.org::8fOzEWpqSlqx7swj:00000000000000000000000000000000000000000TmTX
From: ashish.is@HIDDEN (Ashish SHUKLA)
To: 1379 <at> debbugs.gnu.org
Subject: Emacs (GTK+) segfaulting with X11 dual-head
Organization: Lost Case
X-Face: )vGQ9yK7Y$Flebu1C>(B\gYBm)[$zfKM+p&TT[[JWl6:]S>cc$%-z7-`46Zf0B*syL.C]oCq[upTG~zuS0.$"_%)|Q@$hA=9{3l{%u^h3jJ^Zl;
 t7
X-Uptime: 12:22PM  up 12:37, 8 users, load averages: 0.21, 1.16, 1.20
X-Operating-System: FreeBSD/FreeBSD 9.1-RELEASE-p4/amd64
X-OpenPGP-Fingerprint: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
X-Attribution: =?utf-8?B?4KSG4KS24KWA4KS3?=
Organisation: Lost Case
Date: Mon, 08 Jul 2013 12:34:21 +0530
Message-ID: <864nc5pm6i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (amd64-portbld-freebsd9.1)
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAJ1BMVEWpqal/f39tbW1jY2Md
 HR2goKCenp6UlJROTk7////9/f35+fnT09ORJdieAAACVklEQVQ4jXXUP2vbQBQA8AvUTkgz5OzY
 Z0iGWhpS6BSrkECn0mvx0MEJ6AjtYrfoBCVDlD8naJYmNlRfwZq8+mkKlIZaGpJSYmP7Q/XkJDrJ
 Td8i/H68u3vHPaPufwLdf32AMA4A6GcAgvAamY1pOJiDIFqicTwLswDhfr3uxfFtkAY/GFHPMwzD
 8zpnACmIOnE6js7rQb+v4NJrG9od0C+QgpHMy5jBewV+UDSMWiw1Y4fWfyV7+NGFzDsYa3pth9LJ
 Q4XvXxFHcJRvHOmygn5NAEabnDcQQguarnfoiwSCJ99jmKKcphsZONmWsDK9Ro7cvZOCtQdg8nje
 egLhc2LNlkLmsezzTFUUy5w18ocox/f0LaLgJy0zO75zk+9pp85GAj36xjqhdI0y3tq2m4dqqcWX
 zQWBTz8L1irvolXV4J+3q7eCDgVnttjNq6X8H+9KOZsuNk1uCzx8pSp+E9HImfJOTLdcGqo+YKnG
 EIovizkEn48V7BO+ch2DXcD4ENSpWiU+q8hjjbgTBZCXnZtyj0Ws4Q1Q0B2WXFtYZo65Bbyeeldw
 RS6qFueM80LlLA29YlVwGRYvFD+kwI/0O+A2PlpOP9GwslUVciHuYGechuBTp922YiDZCrghTknm
 XSyOM+D3aoRZlo0Jb42zY7DN4p2x4AeZ+QAYutx1sHwTHzMT5cMNduQ9yW3GczN4KZ86kb0c9O8T
 yXDeFqpl2fryPEAYGXIlezAPXYh2NgVr/gvdoHIuDwuPwOhcWE8f8mmICq41eATkn8x0kuRTIKcB
 wE9+/QUtiiAnYcaN7wAAAABJRU5ErkJggg==
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Emacs (compiled with GTK+ 3.0 X11 toolkit) support is
 segfaulting for me on FreeBSD 9.1-RELEASE (amd64). Following are the steps
 to reproduce it: [...] 
 Content analysis details:   (1.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.3 RP_MATCHES_RCVD Envelope sender domain matches handover relay domain
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 0.0 FILL_THIS_FORM         Fill in a form with personal information
 2.2 FILL_THIS_FORM_LOAN    Answer loan question(s)
X-Debbugs-Envelope-To: 1379
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, Emacs (compiled with GTK+ 3.0 X11 toolkit) support is
   segfaulting for me on FreeBSD 9.1-RELEASE (amd64). Following are the steps
    to reproduce it: [...] 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.3 RP_MATCHES_RCVD        Envelope sender domain matches handover relay domain
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  2.2 FILL_THIS_FORM_LOAN    Answer loan question(s)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,

Emacs (compiled with GTK+ 3.0 X11 toolkit) support is segfaulting for me on
FreeBSD 9.1-RELEASE (amd64).

Following are the steps to reproduce it:

1. Start Emacs: emacs -Q
2. Create an Emacs frame on a different DISPLAY: M-x make-frame-on-display =
:0.1 RET
3. Press C-z in primary Emacs frame to minimize.
4. Restore it.
5. It segfaults.

I've run it under GDB, and following is the output of "backtrace full":

#v+
Starting program: /usr/local/bin/emacs-24.3.50 -Q
[New LWP 100823]
[New Thread 15ed800 (LWP 100823/emacs-24.3.50)]
[New Thread d3c000 (LWP 101535/emacs-24.3.50)]
[New Thread e3a800 (LWP 101536/emacs-24.3.50)]
[New Thread e45c00 (LWP 101537/emacs-24.3.50)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 15ed800 (LWP 100823/emacs-24.3.50)]
0x00000008050647c4 in g_slice_free1 () from /usr/local/lib/libglib-2.0.so.0
#0  0x00000008050647c4 in g_slice_free1 () from /usr/local/lib/libglib-2.0.=
so.0
No symbol table info available.
#1  0x0000000801bddadb in gtk_style_context_set_background () from /usr/loc=
al/lib/libgtk-3.so.0
No symbol table info available.
#2  0x0000000801c81d86 in gtk_widget_freeze_child_notify () from /usr/local=
/lib/libgtk-3.so.0
No symbol table info available.
#3  0x000000080490ab6a in g_closure_unref () from /usr/local/lib/libgobject=
-2.0.so.0
No symbol table info available.
#4  0x0000000804921438 in g_signal_emit_valist () from /usr/local/lib/libgo=
bject-2.0.so.0
No symbol table info available.
#5  0x00000008049220e3 in g_signal_emit () from /usr/local/lib/libgobject-2=
.0.so.0
No symbol table info available.
#6  0x0000000801c7c7da in gtk_widget_queue_resize () from /usr/local/lib/li=
bgtk-3.so.0
No symbol table info available.
#7  0x000000080490ab6a in g_closure_unref () from /usr/local/lib/libgobject=
-2.0.so.0
No symbol table info available.
#8  0x0000000804921438 in g_signal_emit_valist () from /usr/local/lib/libgo=
bject-2.0.so.0
No symbol table info available.
#9  0x00000008049220e3 in g_signal_emit () from /usr/local/lib/libgobject-2=
.0.so.0
No symbol table info available.
#10 0x0000000801bdbb72 in gtk_style_context_invalidate () from /usr/local/l=
ib/libgtk-3.so.0
No symbol table info available.
#11 0x0000000801c7732e in gtk_widget_get_style_context () from /usr/local/l=
ib/libgtk-3.so.0
No symbol table info available.
#12 0x0000000801b19c81 in gtk_event_box_new () from /usr/local/lib/libgtk-3=
.so.0
No symbol table info available.
#13 0x000000080490ab6a in g_closure_unref () from /usr/local/lib/libgobject=
-2.0.so.0
No symbol table info available.
#14 0x0000000804921438 in g_signal_emit_valist () from /usr/local/lib/libgo=
bject-2.0.so.0
No symbol table info available.
#15 0x00000008049220e3 in g_signal_emit () from /usr/local/lib/libgobject-2=
.0.so.0
No symbol table info available.
#16 0x0000000801c7d929 in gtk_widget_realize () from /usr/local/lib/libgtk-=
3.so.0
No symbol table info available.
#17 0x0000000801c7e1d0 in gtk_widget_set_parent () from /usr/local/lib/libg=
tk-3.so.0
No symbol table info available.
#18 0x0000000801b37d55 in gtk_fixed_put () from /usr/local/lib/libgtk-3.so.0
No symbol table info available.
#19 0x0000000000523c31 in xg_create_scroll_bar (f=3D0x127dc50, bar=3D0x12d8=
f80, scroll_callback=3D0x4fe972 <xg_scroll_callback>, end_callback=3D0x4feb=
5e <xg_end_scroll_callback>, scroll_bar_name=3D0x68b9c8 "verticalScrollBar"=
) at gtkutil.c:3673
	wscroll =3D (GtkWidget *) 0xe24240
	webox =3D (GtkWidget *) 0x1270940
	scroll_id =3D 0
	vadj =3D (GtkAdjustment *) 0x1a51800
#20 0x00000000004fec04 in x_create_toolkit_scroll_bar (f=3D0x127dc50, bar=
=3D0x12d8f80) at xterm.c:4583
	scroll_bar_name =3D 0x68b9c8 "verticalScrollBar"
#21 0x00000000004fec88 in x_scroll_bar_create (w=3D0x127ec50, top=3D0, left=
=3D586, width=3D16, height=3D462) at xterm.c:4929
	f =3D (struct frame *) 0x127dc50
	bar =3D (struct scroll_bar *) 0x12d8f80
	barobj =3D 68719477198
#22 0x00000000004ff52e in XTset_vertical_scroll_bar (w=3D0x127ec50, portion=
=3D191, whole=3D191, position=3D0) at xterm.c:5231
	f =3D (struct frame *) 0x127dc50
	barobj =3D 140737488324560
	bar =3D (struct scroll_bar *) 0xc78bc3
	top =3D 0
	height =3D 462
	left =3D 581
	sb_left =3D 586
	width =3D 21
	sb_width =3D 16
	window_y =3D 0
	window_height =3D 462
	fringe_extended_p =3D 1
#23 0x0000000000454a1d in set_vertical_scroll_bar (w=3D0x127ec50) at xdisp.=
c:15280
	start =3D 0
	end =3D 191
	whole =3D 191
#24 0x0000000000457ba4 in redisplay_window (window=3D19393621, just_this_on=
e_p=3D0) at xdisp.c:16144
	w =3D (struct window *) 0x127ec50
	f =3D (struct frame *) 0x127dc50
	buffer =3D (struct buffer *) 0xc78400
	old =3D (struct buffer *) 0xc78400
	lpoint =3D {
  charpos =3D 192,=20
  bytepos =3D 192
}
	opoint =3D {
  charpos =3D 192,=20
  bytepos =3D 192
}
	startp =3D {
  charpos =3D 1,=20
  bytepos =3D 1
}
	update_mode_line =3D 1
	tem =3D 0
	it =3D {
  window =3D 0,=20
  w =3D 0x8034f4ccd,=20
  f =3D 0x1a1d000,=20
  method =3D 55468925,=20
  stop_charpos =3D 0,=20
  prev_stop =3D 14411264,=20
  base_level_stop =3D 0,=20
  end_charpos =3D 14411264,=20
  s =3D 0xe7f400 "\v",=20
  string_nchars =3D 0,=20
  region_beg_charpos =3D 140737488328664,=20
  region_end_charpos =3D 34444180673,=20
  redisplay_end_trigger_charpos =3D 0,=20
  multibyte_p =3D 1,=20
  header_line_p =3D 0,=20
  string_from_display_prop_p =3D 1,=20
  string_from_prefix_prop_p =3D 0,=20
  from_disp_prop_p =3D 1,=20
  ellipsis_p =3D 1,=20
  avoid_cursor_p =3D 1,=20
  dp =3D 0xdbe600,=20
  dpvec =3D 0xb9f070,=20
  dpend =3D 0x7fffffff9800,=20
  dpvec_char_len =3D 5976420,=20
  dpvec_face_id =3D 0,=20
  saved_face_id =3D 0,=20
  ctl_chars =3D {12185712, 4307153008, 12694626, 12694626, 12694626, 140737=
488328784, 5979619, 13152256, 17179842632, 12694626, 13361730, 12185712, 12=
694576, 13361728, 140737488328800, 140737488328832},=20
  start =3D {
    pos =3D {
      charpos =3D 5979723,=20
      bytepos =3D 12185712
    },=20
    overlay_string_index =3D 12694626,=20
    string_pos =3D {
      charpos =3D 12694626,=20
      bytepos =3D 13361730
    },=20
    dpvec_index =3D -26400
  },=20
  current =3D {
    pos =3D {
      charpos =3D 5594312,=20
      bytepos =3D 12694578
    },=20
    overlay_string_index =3D 12897596466,=20
    string_pos =3D {
      charpos =3D 13152256,=20
      bytepos =3D 12694626
    },=20
    dpvec_index =3D 13152261
  },=20
  n_overlay_strings =3D 13361730,=20
  overlay_strings_charpos =3D 12185712,=20
  overlay_strings =3D {17179869184, 12694578, 13361728, 140737488328960, 14=
0737488328960, 5932969, 12694578, 140737488332496, 4509745, 140737488329024=
, 6473959, 1373265466, 26988544, 8192, 0, 140737488329040},=20
  string_overlays =3D {12694578, 21474810208, 12694578, 140737488329072, 17=
218258, 140737488329104, 17218256, 140737488329136, 5978146, 12694578, 1721=
8258, 140737488329152, 12694578, 140737488329520, 6086258, 140737488329200}=
,=20
  string =3D 6132423,=20
  from_overlay =3D 12694578,=20
  stack =3D {{
      string =3D 12694578,=20
      string_nchars =3D 12694578,=20
      end_charpos =3D 22749696,=20
      stop_charpos =3D 140737488329584,=20
      prev_stop =3D 17218258,=20
      base_level_stop =3D 140737488329232,=20
      cmp_it =3D {
        stop_pos =3D 5973808,=20
        id =3D 12694578,=20
        ch =3D 12694578,=20
        rule_idx =3D 0,=20
        lookback =3D 5933031,=20
        nglyphs =3D 22749696,=20
        reversed_p =3D false,=20
        charpos =3D 8589934594,=20
        nchars =3D 9999334,=20
        nbytes =3D 0,=20
        from =3D 13295810,=20
        to =3D 0,=20
        width =3D 12694578
      },=20
      face_id =3D 12694578,=20
      u =3D {
        image =3D {
          object =3D 16768434,=20
          slice =3D {
            x =3D 0,=20
            y =3D 17603174,=20
            width =3D 140737488329712,=20
            height =3D 10698902
          },=20
          image_id =3D 10743045
        },=20
        comp =3D {
          object =3D 16768434
        },=20
        stretch =3D {
          object =3D 16768434
        }
      },=20
      position =3D {
        charpos =3D 140737488329280,=20
        bytepos =3D 2
      },=20
      current =3D {
        pos =3D {
          charpos =3D 17603174,=20
          bytepos =3D 11588646
        },=20
        overlay_string_index =3D 0,=20
        string_pos =3D {
          charpos =3D 140737488329472,=20
          bytepos =3D 13243090
        },=20
        dpvec_index =3D -25599
      },=20
      from_overlay =3D 12694578,=20
      area =3D 48,=20
      method =3D GET_FROM_BUFFER,=20
      paragraph_embedding =3D 24,=20
      multibyte_p =3D 0,=20
      string_from_display_prop_p =3D 0,=20
      string_from_prefix_prop_p =3D 0,=20
      display_ellipsis_p =3D 0,=20
      avoid_cursor_p =3D 0,=20
      bidi_p =3D 0,=20
      from_disp_prop_p =3D 0,=20
      line_wrap =3D 12694578,=20
      voffset =3D 0,=20
      space_width =3D 17708262,=20
      font_height =3D 19394480
    }, {
      string =3D 52,=20
      string_nchars =3D 14169856,=20
      end_charpos =3D 51539607552,=20
      stop_charpos =3D 12694578,=20
      prev_stop =3D -3664973252977432860,=20
      base_level_stop =3D 3,=20
      cmp_it =3D {
        stop_pos =3D 140737488343536,=20
        id =3D 140737488329584,=20
        ch =3D 6074310,=20
        rule_idx =3D 0,=20
        lookback =3D 12694578,=20
        nglyphs =3D 12694578,=20
        reversed_p =3D false,=20
        charpos =3D 10698102,=20
        nchars =3D 10698086,=20
        nbytes =3D 0,=20
        from =3D -25744,=20
        to =3D 32767,=20
        width =3D 5973842
      },=20
      face_id =3D -25680,=20
      u =3D {
        image =3D {
          object =3D 6074105,=20
          slice =3D {
            x =3D 12694578,=20
            y =3D 10698070,=20
            width =3D 12694578,=20
            height =3D 12
          },=20
          image_id =3D 5933031
        },=20
        comp =3D {
          object =3D 6074105
        },=20
        stretch =3D {
          object =3D 6074105
        }
      },=20
      position =3D {
        charpos =3D 22749664,=20
        bytepos =3D 140737488330032
      },=20
      current =3D {
        pos =3D {
          charpos =3D 6088477,=20
          bytepos =3D 17603174
        },=20
        overlay_string_index =3D 6104461,=20
        string_pos =3D {
          charpos =3D 12694578,=20
          bytepos =3D 12694578
        },=20
        dpvec_index =3D 17603174
      },=20
      from_overlay =3D 22749664,=20
      area =3D RIGHT_MARGIN_AREA,=20
      method =3D GET_FROM_STRING,=20
      paragraph_embedding =3D 10698054,=20
      multibyte_p =3D 0,=20
      string_from_display_prop_p =3D 0,=20
      string_from_prefix_prop_p =3D 0,=20
      display_ellipsis_p =3D 0,=20
      avoid_cursor_p =3D 0,=20
      bidi_p =3D 0,=20
      from_disp_prop_p =3D 0,=20
      line_wrap =3D 16500834,=20
      voffset =3D 0,=20
      space_width =3D 140737488329664,=20
      font_height =3D 1
    }, {
      string =3D 12694578,=20
      string_nchars =3D 0,=20
      end_charpos =3D 0,=20
      stop_charpos =3D 8589934594,=20
      prev_stop =3D 10698758,=20
      base_level_stop =3D 12694626,=20
      cmp_it =3D {
        stop_pos =3D 140737488329728,=20
        id =3D 2,=20
        ch =3D 26838784,=20
        rule_idx =3D 0,=20
        lookback =3D 25109296,=20
        nglyphs =3D 0,=20
        reversed_p =3D false,=20
        charpos =3D 140737488329920,=20
        nchars =3D 5380860,=20
        nbytes =3D 0,=20
        from =3D 27068421,=20
        to =3D 0,=20
        width =3D -25536
      },=20
      face_id =3D 12694578,=20
      u =3D {
        image =3D {
          object =3D 4,=20
          slice =3D {
            x =3D 140737488330192,=20
            y =3D 25026912,=20
            width =3D 1305680756774,=20
            height =3D 13075456
          },=20
          image_id =3D 140737488329984
        },=20
        comp =3D {
          object =3D 4
        },=20
        stretch =3D {
          object =3D 4
        }
      },=20
      position =3D {
        charpos =3D 5976517,=20
        bytepos =3D 10698070
      },=20
      current =3D {
        pos =3D {
          charpos =3D 12,=20
          bytepos =3D 12884901891
        },=20
        overlay_string_index =3D 12694578,=20
        string_pos =3D {
          charpos =3D 10698070,=20
          bytepos =3D 13237442
        },=20
        dpvec_index =3D 12694578
      },=20
      from_overlay =3D 12158669,=20
      area =3D 10697846,=20
      method =3D GET_FROM_BUFFER,=20
      paragraph_embedding =3D 2298013412,=20
      multibyte_p =3D 0,=20
      string_from_display_prop_p =3D 1,=20
      string_from_prefix_prop_p =3D 1,=20
      display_ellipsis_p =3D 1,=20
      avoid_cursor_p =3D 1,=20
      bidi_p =3D 1,=20
      from_disp_prop_p =3D 0,=20
      line_wrap =3D WINDOW_WRAP,=20
      voffset =3D 0,=20
      space_width =3D 140737488343536,=20
      font_height =3D 140737488330096
    }, {
      string =3D 6073862,=20
      string_nchars =3D 12694578,=20
      end_charpos =3D 12694578,=20
      stop_charpos =3D 12694578,=20
      prev_stop =3D 8,=20
      base_level_stop =3D 5933031,=20
      cmp_it =3D {
        stop_pos =3D 22749632,=20
        id =3D 140737488330480,=20
        ch =3D 6088477,=20
        rule_idx =3D 0,=20
        lookback =3D 140737488329120,=20
        nglyphs =3D 10743048,=20
        reversed_p =3D false,=20
        charpos =3D 12694578,=20
        nchars =3D 12694578,=20
        nbytes =3D 0,=20
        from =3D 135,=20
        to =3D 32767,=20
        width =3D 12694578
      },=20
      face_id =3D 1,=20
      u =3D {
        image =3D {
          object =3D 10697830,=20
          slice =3D {
            x =3D 12694578,=20
            y =3D 6095378,=20
            width =3D 140737488330464,=20
            height =3D 140737488330336
          },=20
          image_id =3D 12694626
        },=20
        comp =3D {
          object =3D 10697830
        },=20
        stretch =3D {
          object =3D 10697830
        }
      },=20
      position =3D {
        charpos =3D 0,=20
        bytepos =3D 10742965
      },=20
      current =3D {
        pos =3D {
          charpos =3D 51539607552,=20
          bytepos =3D 0
        },=20
        overlay_string_index =3D 140737488330176,=20
        string_pos =3D {
          charpos =3D 1,=20
          bytepos =3D 140737488330288
        },=20
        dpvec_index =3D 12694578
      },=20
      from_overlay =3D 12694626,=20
      area =3D 4294942304,=20
      method =3D 32767,=20
      paragraph_embedding =3D 4294944048,=20
      multibyte_p =3D 1,=20
      string_from_display_prop_p =3D 1,=20
      string_from_prefix_prop_p =3D 1,=20
      display_ellipsis_p =3D 1,=20
      avoid_cursor_p =3D 1,=20
      bidi_p =3D 1,=20
      from_disp_prop_p =3D 1,=20
      line_wrap =3D 4294955504,=20
      voffset =3D 32767,=20
      space_width =3D 5,=20
      font_height =3D 5
    }, {
      string =3D 15256256,=20
      string_nchars =3D -24784,=20
      end_charpos =3D 15256256,=20
      stop_charpos =3D 16,=20
      prev_stop =3D 12573136,=20
      base_level_stop =3D 140737488330480,=20
      cmp_it =3D {
        stop_pos =3D 5976837,=20
        id =3D 12694578,=20
        ch =3D 8,=20
        rule_idx =3D 2,=20
        lookback =3D 13075456,=20
        nglyphs =3D 12573136,=20
        reversed_p =3D false,=20
        charpos =3D 10697846,=20
        nchars =3D 0,=20
        nbytes =3D 6,=20
        from =3D 12694578,=20
        to =3D 0,=20
        width =3D 12158573
      },=20
      face_id =3D 12573136,=20
      u =3D {
        image =3D {
          object =3D 140737488330480,=20
          slice =3D {
            x =3D 5932732,=20
            y =3D 12573136,=20
            width =3D 140737488330640,=20
            height =3D 5979276
          },=20
          image_id =3D 12694578
        },=20
        comp =3D {
          object =3D 140737488330480
        },=20
        stretch =3D {
          object =3D 140737488330480
        }
      },=20
      position =3D {
        charpos =3D 12895599702,=20
        bytepos =3D 12694578
      },=20
      current =3D {
        pos =3D {
          charpos =3D 8,=20
          bytepos =3D 13075456
        },=20
        overlay_string_index =3D 22749600,=20
        string_pos =3D {
          charpos =3D 12694578,=20
          bytepos =3D 12694578
        },=20
        dpvec_index =3D 13237250
      },=20
      from_overlay =3D 6093767,=20
      area =3D 12573136,=20
      method =3D GET_FROM_BUFFER,=20
      paragraph_embedding =3D 13075456,=20
      multibyte_p =3D 0,=20
      string_from_display_prop_p =3D 0,=20
      string_from_prefix_prop_p =3D 0,=20
      display_ellipsis_p =3D 0,=20
      avoid_cursor_p =3D 0,=20
      bidi_p =3D 0,=20
      from_disp_prop_p =3D 0,=20
      line_wrap =3D 4294942672,=20
      voffset =3D 32767,=20
      space_width =3D 5976837,=20
      font_height =3D 13237248
    }},=20
  sp =3D 10697798,=20
  selective =3D 13075456,=20
  what =3D 12694578,=20
  face_id =3D 0,=20
  selective_display_ellipsis_p =3D 0,=20
  ctl_arrow_p =3D 0,=20
  face_box_p =3D 0,=20
  start_of_box_run_p =3D 0,=20
  end_of_box_run_p =3D 1,=20
  overlay_strings_at_end_processed_p =3D 1,=20
  ignore_overlay_strings_at_pos_p =3D 0,=20
  glyph_not_available_p =3D 1,=20
  starts_in_middle_of_char_p =3D 1,=20
  face_before_selective_p =3D 1,=20
  constrain_row_ascent_descent_p =3D 1,=20
  line_wrap =3D 32767,=20
  base_face_id =3D 5978228,=20
  c =3D 0,=20
  len =3D 5932732,=20
  cmp_it =3D {
    stop_pos =3D 12694578,=20
    id =3D 140737488330768,=20
    ch =3D 5980322,=20
    rule_idx =3D 0,=20
    lookback =3D 12694578,=20
    nglyphs =3D 12573136,=20
    reversed_p =3D 3,=20
    charpos =3D 12694578,=20
    nchars =3D 13237250,=20
    nbytes =3D 0,=20
    from =3D -24312,=20
    to =3D 32767,=20
    width =3D 12573136
  },=20
  char_to_display =3D 12573136,=20
  glyphless_method =3D GLYPHLESS_DISPLAY_THIN_SPACE,=20
  image_id =3D 12186272,=20
  slice =3D {
    x =3D 140737488330864,=20
    y =3D 5976837,=20
    width =3D 12694578,=20
    height =3D 8596031457
  },=20
  space_width =3D 13075456,=20
  voffset =3D -3424,=20
  tab_width =3D 185,=20
  font_height =3D 12694578,=20
  object =3D 25769803776,=20
  position =3D {
    charpos =3D 12694578,=20
    bytepos =3D 13075461
  },=20
  truncation_pixel_width =3D -3424,=20
  continuation_pixel_width =3D 185,=20
  first_visible_x =3D 0,=20
  last_visible_x =3D -24464,=20
  last_visible_y =3D 32767,=20
  extra_line_spacing =3D 5932732,=20
  max_extra_line_spacing =3D 0,=20
  override_ascent =3D 12186272,=20
  override_descent =3D 0,=20
  override_boff =3D -24304,=20
  glyph_row =3D 0x5b3c8c,=20
  area =3D 12694578,=20
  nglyphs =3D 0,=20
  pixel_width =3D 12158621,=20
  ascent =3D 3,=20
  descent =3D 13237250,=20
  max_ascent =3D 0,=20
  max_descent =3D 12694578,=20
  phys_ascent =3D 0,=20
  phys_descent =3D 13075456,=20
  max_phys_ascent =3D 0,=20
  max_phys_descent =3D -23248,=20
  current_x =3D 32512,=20
  continuation_lines_width =3D 12694578,=20
  eol_pos =3D {
    charpos =3D 12694578,=20
    bytepos =3D 13354898
  },=20
  current_y =3D 12694578,=20
  first_vpos =3D 0,=20
  vpos =3D 12186272,=20
  hpos =3D 0,=20
  left_user_fringe_bitmap =3D 33792,=20
  right_user_fringe_bitmap =3D 199,=20
  left_user_fringe_face_id =3D 0,=20
  right_user_fringe_face_id =3D 1024336,=20
  bidi_p =3D 1,=20
  bidi_it =3D {
    bytepos =3D 11,=20
    charpos =3D 13354896,=20
    ch =3D 5498582,=20
    nchars =3D 13075456,=20
    ch_len =3D 12694578,=20
    type =3D 4294943024,=20
    type_after_w1 =3D 32767,=20
    orig_type =3D 5978228,=20
    resolved_level =3D 0,=20
    invalid_levels =3D 5932732,=20
    invalid_rl_levels =3D 0,=20
    prev =3D {
      bytepos =3D 12694578,=20
      charpos =3D 140737488331152,=20
      type =3D 5980322,=20
      type_after_w1 =3D UNKNOWN_BT,=20
      orig_type =3D 12694578
    },=20
    last_strong =3D {
      bytepos =3D 12890400442,=20
      charpos =3D 12694578,=20
      type =3D 13354898,=20
      type_after_w1 =3D UNKNOWN_BT,=20
      orig_type =3D 4294954512
    },=20
    next_for_neutral =3D {
      bytepos =3D 0,=20
      charpos =3D 12186272,=20
      type =3D 4294944048,=20
      type_after_w1 =3D 32767,=20
      orig_type =3D 13354896
    },=20
    prev_for_neutral =3D {
      bytepos =3D 22749536,=20
      charpos =3D 140737488331312,=20
      type =3D 6096865,=20
      type_after_w1 =3D UNKNOWN_BT,=20
      orig_type =3D UNKNOWN_BT
    },=20
    next_for_ws =3D {
      bytepos =3D 8589934592,=20
      charpos =3D 12694578,=20
      type =3D RLE,=20
      type_after_w1 =3D UNKNOWN_BT,=20
      orig_type =3D 5929909
    },=20
    next_en_pos =3D 17846274,=20
    next_en_type =3D 10635701,=20
    ignore_bn_limit =3D 17846274,=20
    sor =3D 4294943328,=20
    scan_dir =3D 32767,=20
    disp_pos =3D 5533551,=20
    disp_prop =3D 0,=20
    stack_idx =3D 6,=20
    level_stack =3D {{
        level =3D 12694578,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -24063,=20
        override =3D 32512
      }, {
        level =3D 17846274,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 19644005,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -24000,=20
        override =3D 32767
      }, {
        level =3D 5930379,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 12694626,=20
        override =3D 86
      }, {
        level =3D 3,=20
        override =3D 16777216
      }, {
        level =3D 3,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -23968,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 5930267,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 19615280,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 19644005,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -23848,=20
        override =3D 32767
      }, {
        level =3D 4387347,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 6096865,=20
        override =3D 86
      }, {
        level =3D 3,=20
        override =3D 10
      }, {
        level =3D 0,=20
        override =3D 32767
      }, {
        level =3D 26768640,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 26768640,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 27381760,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 55392235,=20
        override =3D 8
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 19615280,=20
        override =3D 6
      }, {
        level =3D 13075456,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -23816,=20
        override =3D 32767
      }, {
        level =3D 5932870,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 1,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 12177056,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 55501206,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -23600,=20
        override =3D 14
      }, {
        level =3D 12177056,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -23056,=20
        override =3D 32767
      }, {
        level =3D 6670273,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -23600,=20
        override =3D 32767
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 26768640,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 55501504,=20
        override =3D 8
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 5255097,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -23568,=20
        override =3D 32767
      }, {
        level =3D -11792,=20
        override =3D 32767
      }, {
        level =3D -11816,=20
        override =3D 32767
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 5252965,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 26768640,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 26768640,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 27381760,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -11816,=20
        override =3D 32767
      }, {
        level =3D 55392321,=20
        override =3D 8
      }, {
        level =3D 26768640,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 27381760,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 0,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D 55500763,=20
        override =3D 8
      }, {
        level =3D 5255097,=20
        override =3D NEUTRAL_DIR
      }, {
        level =3D -23328,=20
        override =3D 32767
      }, {
        level =3D -11792,=20
        override =3D 32767
      }},=20
    string =3D {
      lstring =3D 5253403,=20
      s =3D 0xd <Error reading address 0xd: Bad address>,=20
      schars =3D 140737488331808,=20
      bufpos =3D 28107776,=20
      from_disp_str =3D 0,=20
      unibyte =3D 0
    },=20
    w =3D 0x7fffffffa4c0,=20
    paragraph_dir =3D 5979276,=20
    separator_limit =3D 0,=20
    prev_was_pdf =3D 0,=20
    first_elt =3D 1,=20
    new_paragraph =3D 1,=20
    frame_window_p =3D 0
  },=20
  paragraph_embedding =3D 4294943936
}
	current_matrix_up_to_date_p =3D 0
	used_current_matrix_p =3D 0
	buffer_unchanged_p =3D 0
	temp_scroll_step =3D 0
	count =3D 6
	rc =3D 0
	centering_position =3D -1
	last_line_misfit =3D 0
	beg_unchanged =3D 191
	end_unchanged =3D 0
#25 0x000000000044ff0c in redisplay_window_0 (window=3D19393621) at xdisp.c=
:13773
No locals.
#26 0x00000000005cc76b in internal_condition_case_1 (bfun=3D0x44fecd <redis=
play_window_0>, arg=3D19393621, handlers=3D13017990, hfun=3D0x44fe9c <redis=
play_window_error>) at eval.c:1326
	val =3D 13075461
	c =3D {
  tag =3D 12694578,=20
  val =3D 12694578,=20
  next =3D 0x7fffffffce10,=20
  gcpro =3D 0x0,=20
  jmp =3D {{
      _jb =3D {6080232, 12694626, 140737488332216, 140737488332496, 1407374=
88343536, 140737488343512, 0, 0, 34772061127551, 17179869184, 13152261, 0}
    }},=20
  handlerlist =3D 0x7fffffffcec0,=20
  lisp_eval_depth =3D 0,=20
  pdlcount =3D 6,=20
  poll_suppress_count =3D 1,=20
  interrupt_input_blocked =3D 0,=20
  byte_stack =3D 0x0
}
	h =3D {
  handler =3D 13017990,=20
  var =3D 12694578,=20
  chosen_clause =3D 13075456,=20
  tag =3D 0x7fffffffa5f0,=20
  next =3D 0x7fffffffcec0
}
#27 0x000000000044fe7d in redisplay_windows (window=3D19393621) at xdisp.c:=
13753
	w =3D (struct window *) 0x127ec50
#28 0x000000000044f17c in redisplay_internal () at xdisp.c:13364
	f =3D (struct frame *) 0x127dc50
	w =3D (struct window *) 0x127ec50
	sw =3D (struct window *) 0x127ec50
	fr =3D (struct frame *) 0x127dc50
	pending =3D 0
	must_finish =3D 0
	tlbufpos =3D {
  charpos =3D 0,=20
  bytepos =3D 192
}
	tlendpos =3D {
  charpos =3D 0,=20
  bytepos =3D 0
}
	number_of_visible_frames =3D 2
	count =3D 3
	count1 =3D 6
	sf =3D (struct frame *) 0x127dc50
	polling_stopped_here =3D 1
	tail =3D 16965542
	frame =3D 19389525
	consider_all_windows_p =3D 1
	update_miniwindow_p =3D 0
#29 0x000000000044f828 in redisplay_preserve_echo_area (from_where=3D11) at=
 xdisp.c:13613
No locals.
#30 0x000000000061fff5 in wait_reading_process_output (time_limit=3D30, nse=
cs=3D0, read_kbd=3D-1, do_display=3Dtrue, wait_for_cell=3D12694578, wait_pr=
oc=3D0x0, just_wait_proc=3D0) at process.c:4498
	timeout_reduced_for_timers =3D true
	channel =3D 1
	nfds =3D 1
	Available =3D {
  __fds_bits =3D {134218752, 0 <repeats 15 times>}
}
	Writeok =3D {
  __fds_bits =3D {0 <repeats 16 times>}
}
	check_write =3D true
	check_delay =3D 0
	no_avail =3D false
	xerrno =3D 35
	proc =3D 0
	timeout =3D {
  tv_sec =3D 0,=20
  tv_nsec =3D 332786301
}
	end_time =3D {
  tv_sec =3D 1373265495,=20
  tv_nsec =3D 323391145
}
	wait_channel =3D -1
	got_some_input =3D true
	count =3D 2
#31 0x00000000004226ca in sit_for (timeout=3D120, reading=3Dtrue, display_o=
ption=3D1) at dispnew.c:5797
	sec =3D 30
	nsec =3D 0
	do_display =3D true
#32 0x00000000005361b0 in read_char (commandflag=3D1, map=3D17403238, prev_=
event=3D12694578, used_mouse_menu=3D0x7fffffffcc3d, end_time=3D0x0) at keyb=
oard.c:2809
	tem0 =3D 12694578
	timeout =3D 30
	delay_level =3D 4
	buffer_size =3D 1
	c =3D 12694578
	jmpcount =3D 2
	local_getcjmp =3D {{
    _jb =3D {5462958, 12694626, 140737488340680, 140737488341392, 140737488=
343536, 140737488343512, 0, 0, 34776350131071, 12694578, 12694578, 18066626}
  }}
	save_jump =3D {{
    _jb =3D {0 <repeats 12 times>}
  }}
	tem =3D 12694578
	save =3D 12694578
	previous_echo_area_message =3D 12694578
	also_record =3D 12694578
	reread =3D false
	gcpro1 =3D {
  next =3D 0xc1b432,=20
  var =3D 0x108d726,=20
  nvars =3D 140737488341120
}
	gcpro2 =3D {
  next =3D 0xc0,=20
  var =3D 0x5d07b2,=20
  nvars =3D 12694578
}
	polling_stopped_here =3D false
	orig_kboard =3D (struct kboard *) 0xe2e000
#33 0x00000000005412e3 in read_key_sequence (keybuf=3D0x7fffffffcc80, bufsi=
ze=3D30, prompt=3D12694578, dont_downcase_last=3Dfalse, can_return_switch_f=
rame=3Dtrue, fix_current_buffer=3Dtrue) at keyboard.c:9079
	interrupted_kboard =3D (KBOARD *) 0xe2e000
	interrupted_frame =3D (struct frame *) 0x127dc50
	key =3D 13234224
	used_mouse_menu =3D false
	echo_local_start =3D 0
	last_real_key_start =3D 0
	keys_local_start =3D 0
	new_binding =3D 17179855952
	count =3D 2
	t =3D 0
	echo_start =3D 0
	keys_start =3D 0
	current_binding =3D 17403238
	first_event =3D 12694578
	first_unbound =3D 31
	mock_input =3D 0
	fkey =3D {
  parent =3D 21475718,=20
  map =3D 21475718,=20
  start =3D 0,=20
  end =3D 0
}
	keytran =3D {
  parent =3D 13027750,=20
  map =3D 13027750,=20
  start =3D 0,=20
  end =3D 0
}
	indec =3D {
  parent =3D 21475702,=20
  map =3D 21475702,=20
  start =3D 0,=20
  end =3D 0
}
	shift_translated =3D false
	delayed_switch_frame =3D 12694578
	original_uppercase =3D 22749280
	original_uppercase_position =3D -1
	dummyflag =3D false
	starting_buffer =3D (struct buffer *) 0xc78400
	fake_prefixed_keys =3D 12694578
	gcpro1 =3D {
  next =3D 0xbfda70,=20
  var =3D 0xc78400,=20
  nvars =3D 140737488341824
}
#34 0x0000000000533325 in command_loop_1 () at keyboard.c:1449
	cmd =3D 16500834
	keybuf =3D {104, 12694578, 140737488342256, 5980322, 12694578, 12897475024=
, 12694578, 13237250, 34369236992, 12897475024, 12573136, 5976477, 13237248=
, 22749280, 140737488342416, 6096865, 13237250, 8589934594, 16624422, 2, 12=
884901888, 13075461, 13237248, 140737488342352, 5932732, 22749280, 12694578=
, 16854882, 16624422, 9849125}
	i =3D 1
	prev_modiff =3D 10
	prev_buffer =3D (struct buffer *) 0xc78400
	already_adjusted =3D false
#35 0x00000000005cc61a in internal_condition_case (bfun=3D0x532fb7 <command=
_loop_1>, handlers=3D13104322, hfun=3D0x53293e <cmd_error>) at eval.c:1289
	val =3D 16624422
	c =3D {
  tag =3D 12694578,=20
  val =3D 12694578,=20
  next =3D 0x7fffffffcf40,=20
  gcpro =3D 0x0,=20
  jmp =3D {{
      _jb =3D {6079902, 2, 140737488342504, 140737488342768, 14073748834353=
6, 140737488343512, 0, 0, 34776350131071, 6741290, 0, 34369211392}
    }},=20
  handlerlist =3D 0x0,=20
  lisp_eval_depth =3D 0,=20
  pdlcount =3D 2,=20
  poll_suppress_count =3D 1,=20
  interrupt_input_blocked =3D 0,=20
  byte_stack =3D 0x0
}
	h =3D {
  handler =3D 13104322,=20
  var =3D 12694578,=20
  chosen_clause =3D 140737488342880,=20
  tag =3D 0x7fffffffce10,=20
  next =3D 0x0
}
#36 0x0000000000532d1c in command_loop_2 (ignore=3D12694578) at keyboard.c:=
1164
	val =3D 32
#37 0x00000000005cc0af in internal_catch (tag=3D13096370, func=3D0x532cfa <=
command_loop_2>, arg=3D12694578) at eval.c:1063
	c =3D {
  tag =3D 13096370,=20
  val =3D 12694578,=20
  next =3D 0x0,=20
  gcpro =3D 0x0,=20
  jmp =3D {{
      _jb =3D {6078619, 2, 140737488342808, 140737488343024, 14073748834353=
6, 140737488343512, 0, 0, 34772067353471, 13075456, 17179856912, 13075461}
    }},=20
  handlerlist =3D 0x0,=20
  lisp_eval_depth =3D 0,=20
  pdlcount =3D 2,=20
  poll_suppress_count =3D 1,=20
  interrupt_input_blocked =3D 0,=20
  byte_stack =3D 0x0
}
#38 0x0000000000532ccf in command_loop () at keyboard.c:1143
No locals.
#39 0x000000000053252a in recursive_edit_1 () at keyboard.c:776
	count =3D 1
	val =3D 12694578
#40 0x000000000053267f in Frecursive_edit () at keyboard.c:840
	count =3D 0
	buffer =3D 12694578
#41 0x00000000005308d0 in main (argc=3D2, argv=3D0x7fffffffd1d8) at emacs.c=
:1554
	dummy =3D 140737488343472
	stack_bottom_variable =3D 0 '\0'
	do_initial_setlocale =3D true
	dumping =3D false
	skip_args =3D 0
	rlim =3D {
  rlim_cur =3D 536870912,=20
  rlim_max =3D 536870912
}
	no_loadup =3D false
	junk =3D 0x0
	dname_arg =3D 0x0
	ch_to_dir =3D 0x0
#v-

Running with Athena toolkit (Xaw3d widgets) works fine.

Thanks
=2D-=20
Ashish SHUKLA

=E2=80=9CA man, a plan, a canoe, pasta, heros, rajahs, a coloratura, maps, =
snipe,
percale, macaroni, a gag, a banana bag, a tan, a tag, a banana bag again (o=
r a
camel), a crepe, pins, Spam, a rut, a Rolo, cash, a jar, sore hats, a peon,=
 a
canal--Panama!=E2=80=9D (Guy L. Steele, Jr.)

Sent from my Emacs

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.20 (FreeBSD)

iQIcBAEBCgAGBQJR2mR5AAoJEMdGz6nnT6SwOlUP/0XuLxq2tZdNmeli7UAjUktG
azKJRjxDTcqLmdhXu9LohwmBpp/9jpikMFnCLsQWTfTkyi3IqbdYYPzjJjoW3OQI
eoJAcgUxfUJPHO1EWGT1MnzChYexjvIaegFx7kzM/tNcPef9nM+xR0kHZCEUe6ZB
vk2yEOjTwqNKneCxILyMgeU9p85AjKCJjzG9SC3ya8ZIxsTHoRozZ5G+Ir9m+A3V
nnJqoXrG9OyRhuBhUr+40n6hZ20LwGIkKh2f85otUu30qfnYnAt3nXjsDVKw30NC
R8iNgMFVuye6G6OtP9Rgb4aCyHCR27CGuy23N47nKyy/cgS4tqd2WKyVHd2QPdsd
TPpe6JNkBd1Ymo0cUriTqST27l7ufM3rvQLiYqYZrD435d/WliBPCqa1ZnXZ5X4E
wrnQ7AMcYfNKciqG3BO64g4X4ixNp2yXzIjCTE/aKw5KixeHisVZkSbFc4u0cJk4
wHMGI8ukg/mEdS4XQDPlNSo/+LJkVOYiXRnBTZEhIBIDXMWHVaUHybpYqPkrXIGJ
0xO2O/aWIpsvt4bPax3rjB+N1S98wdQ8kYoyjCXi14x40Pfx4NMBO3LXcrYRJH0G
62KJhNcgefLjZnxt/LKhK0asCqOkglgjUqosM9jfPZS6wmWwK3DsDJfP6X9sVmbM
DZ+zPlpeIdoK4yzHv7T6
=q8dM
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1379; Package emacs. Full text available.

Message received at 1379@HIDDEN:


Received: (at 1379) by emacsbugs.donarmstrong.com; 6 Feb 2009 02:26:57 +0000
From adamsonj@HIDDEN Thu Feb  5 18:26:56 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.0 required=4.0 tests=none autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mxpm.isis.unc.edu (mxp2.isis.unc.edu [152.2.2.160])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n162QnxV029421
	for <1379@HIDDEN>; Thu, 5 Feb 2009 18:26:50 -0800
Received: from smtp.unc.edu (smtpsrv2.isis.unc.edu [152.2.2.250])
	by mxp2.isis.unc.edu (8.14.1/8.14.1) with ESMTP id n162QmVN026090
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <1379@HIDDEN>; Thu, 5 Feb 2009 21:26:48 -0500
Received: from chondestes.bio.unc.edu (chondestes.bio.unc.edu [152.2.67.61])
	by smtp.unc.edu (8.14.3/8.14.3) with ESMTP id n162LmbJ024105
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NOT)
	for <1379@HIDDEN>; Thu, 5 Feb 2009 21:21:48 -0500 (EST)
Received: from chondestes.bio.unc.edu (localhost [127.0.0.1])
	by chondestes.bio.unc.edu (8.14.3/8.14.2) with ESMTP id n162I4E1013534
	for <1379@HIDDEN>; Thu, 5 Feb 2009 21:18:04 -0500
Received: from email.unc.edu (joel@localhost)
	by chondestes.bio.unc.edu (8.14.3/8.14.3/Submit) with ESMTP id n162I37w013530
	for <1379@HIDDEN>; Thu, 5 Feb 2009 21:18:04 -0500
X-Authentication-Warning: chondestes.bio.unc.edu: joel owned process doing -bs
To: 1379 <at> debbugs.gnu.org
Subject: Same Error with GTK/QT-Engine
X-Mailer: MH-E 8.1; nmh 1.3; GNU Emacs 23.0.60
Date: Thu, 05 Feb 2009 21:18:03 -0500
Message-ID: <13529.1233886683@HIDDEN>
From: "Joel J. Adamson <adamsonj@HIDDEN>" <adamsonj@HIDDEN>
X-Proofpoint-Virus-Version: vendor=fsecure engine=1.12.7400:2.4.4,1.2.40,4.0.166 definitions=2009-02-05_05:2009-02-05,2009-02-05,2009-02-05 signatures=0
X-Proofpoint-Spam-Details: rule=uncdefault_notspam policy=uncdefault score=0 spamscore=0 ipscore=0 phishscore=0 bulkscore=0 adultscore=0 classifier=spam adjust=0 reason=mlx engine=5.0.0-0811170000 definitions=main-0902050187

I receive the above error when running Emacs server under X with KDE,
with a GTK Theme installed from the GTK/QT Theme Engine
(http://gtk-qt.ecs.soton.ac.uk/), when trying to open `emacsclient -c'
over an SSH connection (ssh -CY).  If I open a new Emacs instance with

emacs -Q -f server-start

I get a clean Emacs without the GTK theme (bearing a default GTK theme,
that is), and I can `make-frame-on-display' on my home display.

Joel

-- 
Joel J. Adamson	-- http://www.unc.edu/~adamsonj
University of North Carolina at Chapel Hill
CB #3280, Coker Hall
Chapel Hill, NC 27599-3280




Acknowledgement sent to "Joel J. Adamson <adamsonj@HIDDEN>" <adamsonj@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-9.0 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 21 Nov 2008 16:13:15 +0000
Received: from sallyv2.ics.uci.edu (sallyv2.ics.uci.edu [128.195.1.120])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mALGDCKE025293
	for <1379@HIDDEN>; Fri, 21 Nov 2008 08:13:13 -0800
Received: from mothra.ics.uci.edu (mothra.ics.uci.edu [128.195.6.93])
	by sallyv2.ics.uci.edu (8.13.7+Sun/8.13.7) with ESMTP id mALGCubT016048;
	Fri, 21 Nov 2008 08:13:01 -0800 (PST)
Received: (from dann@localhost)
	by mothra.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id mALGCsCK015141;
	Fri, 21 Nov 2008 08:12:54 -0800 (PST)
Date: Fri, 21 Nov 2008 08:12:54 -0800 (PST)
Message-Id: <200811211612.mALGCsCK015141@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: rf@HIDDEN
Cc: Stefan Monnier <monnier@HIDDEN>, 1379 <at> debbugs.gnu.org
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
References: <18724.11527.50272.291284@HIDDEN>
	<200811200212.mAK2ClRG008674@HIDDEN>
	<18725.16319.588596.606651@HIDDEN>
	<jwvzljuphm9.fsf-monnier+emacsbugreports@HIDDEN>
	<18725.60248.707518.131755@HIDDEN>
	<200811202317.mAKNHsY6012103@HIDDEN>
	<18726.38177.511042.959596@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <18726.38177.511042.959596@HIDDEN> (rf@HIDDEN's
	message of "Fri, 21 Nov 2008 12:01:53 +0100")
Lines: 49
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please contact the ISP for more information
X-ICS-MailScanner-ID: mALGCubT016048
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (score=-1.363,
	required 5, autolearn=disabled, ALL_TRUSTED -1.44, TW_GT 0.08)
X-ICS-MailScanner-From: dann@HIDDEN

rf@HIDDEN writes:

  > >>>>> "Dan" == Dan Nicolaescu <dann@HIDDEN> writes:
  > 
  >     Dan> rf@HIDDEN writes:
  >     >> >>>>> "Stefan" == Stefan Monnier <monnier@HIDDEN>
  >     >> writes:
  >     >> 
  >     >> >>>> I wanted to start using the "emacs --daemon" option with
  >     >> >>>> subsequent "emacsclient ..." invocations. Everything works
  >     >> >>>> fine, as long as only one of my X11 screens is used. But
  >     >> when >>>> I want to start a new frame on display :0.1 while one
  >     >> or more >>>> frames are already running on display :0.0 the
  >     >> following >>>> happens:
  >     >> >>>> 
  >     >> >>>> - Executing "emacsclient -c " for the first time: A frame
  >     >> >>>> appears, and immediately disappears again with the error
  >     >> >>>> message *ERROR*: X protocol error: BadDrawable (invalid
  >     >> >>>> Pixmap or Window parameter) on protocol request 14
  >     >> >>>> 
  >     >> >>>> - Executing "emacsclient -c " for the second time: A frame
  >     >> >>>> appears, but emacs is in a complete dead lock after this.
  >     >> >>>> 
  >     >> >>>> Used Version: i emacs-snapshot 1:20081013-1
  >     >> >>>> 
  >     >> >>>> on Ubuntu 8.10 / x86_64
  >     >> 
  >     >> 
  >     Dan> Can you please try to see if your scenario works without
  >     Dan> using the --daemon option?
  >     >> 
  >     Stefan> Actually, can you just try it without any
  >     Stefan> emacsclient/server?  I.e. start Emacs on one of the
  >     Stefan> screens, then do M-x make-frame-on-display and specify the
  >     Stefan> other display.
  >     >> 
  >     >> Good idea. It also doesn't work. Same error message.
  > 
  >     Dan> Can you please try to recompile emacs with
  >     Dan> --with-x-toolkit=lucid ?  And try again emacs -Q and M-x
  >     Dan> make-frame-on-display ?  (This is to make sure this is not a
  >     Dan> Gtk bug)
  > 
  > Yup, that was it. With the lucid toolkit, the problem is gone. Thanks
  > for the hint, and good luck in finding out what is wrong with gtk ;-).

Thanks for confirming that.  Does your distribution also provide
emacs-22.3?  If yes, is it compiled with gtk?  Can you please check if
emacs -Q followed by M-x make-frame-on-display work on that version?




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-7.1 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 21 Nov 2008 11:01:38 +0000
Received: from mail.q-leap.de (ns2.q-leap.de [88.79.172.217])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mALB1YaD005560
	for <1379@HIDDEN>; Fri, 21 Nov 2008 03:01:36 -0800
Received: by mail.q-leap.de (Postfix, from userid 5001)
	id F10FA678; Fri, 21 Nov 2008 12:02:05 +0100 (CET)
Received: from fire (fire [192.168.55.80])
	by mail.q-leap.de (Postfix) with ESMTP id 8AB555E9;
	Fri, 21 Nov 2008 12:02:02 +0100 (CET)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <18726.38177.511042.959596@HIDDEN>
Date: Fri, 21 Nov 2008 12:01:53 +0100
To: Dan Nicolaescu <dann@HIDDEN>
Cc: Stefan Monnier <monnier@HIDDEN>, 1379 <at> debbugs.gnu.org
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
In-Reply-To: <200811202317.mAKNHsY6012103@HIDDEN>
References: <18724.11527.50272.291284@HIDDEN>
	<200811200212.mAK2ClRG008674@HIDDEN>
	<18725.16319.588596.606651@HIDDEN>
	<jwvzljuphm9.fsf-monnier+emacsbugreports@HIDDEN>
	<18725.60248.707518.131755@HIDDEN>
	<200811202317.mAKNHsY6012103@HIDDEN>
X-Mailer: VM 8.0.9 under Emacs 23.0.60.1 (x86_64-pc-linux-gnu)
Reply-To: rf@HIDDEN
From: rf@HIDDEN

>>>>> "Dan" == Dan Nicolaescu <dann@HIDDEN> writes:

    Dan> rf@HIDDEN writes:
    >> >>>>> "Stefan" == Stefan Monnier <monnier@HIDDEN>
    >> writes:
    >> 
    >> >>>> I wanted to start using the "emacs --daemon" option with
    >> >>>> subsequent "emacsclient ..." invocations. Everything works
    >> >>>> fine, as long as only one of my X11 screens is used. But
    >> when >>>> I want to start a new frame on display :0.1 while one
    >> or more >>>> frames are already running on display :0.0 the
    >> following >>>> happens:
    >> >>>> 
    >> >>>> - Executing "emacsclient -c " for the first time: A frame
    >> >>>> appears, and immediately disappears again with the error
    >> >>>> message *ERROR*: X protocol error: BadDrawable (invalid
    >> >>>> Pixmap or Window parameter) on protocol request 14
    >> >>>> 
    >> >>>> - Executing "emacsclient -c " for the second time: A frame
    >> >>>> appears, but emacs is in a complete dead lock after this.
    >> >>>> 
    >> >>>> Used Version: i emacs-snapshot 1:20081013-1
    >> >>>> 
    >> >>>> on Ubuntu 8.10 / x86_64
    >> 
    >> 
    Dan> Can you please try to see if your scenario works without
    Dan> using the --daemon option?
    >> 
    Stefan> Actually, can you just try it without any
    Stefan> emacsclient/server?  I.e. start Emacs on one of the
    Stefan> screens, then do M-x make-frame-on-display and specify the
    Stefan> other display.
    >> 
    >> Good idea. It also doesn't work. Same error message.

    Dan> Can you please try to recompile emacs with
    Dan> --with-x-toolkit=lucid ?  And try again emacs -Q and M-x
    Dan> make-frame-on-display ?  (This is to make sure this is not a
    Dan> Gtk bug)

Yup, that was it. With the lucid toolkit, the problem is gone. Thanks
for the hint, and good luck in finding out what is wrong with gtk ;-).

Roland




Acknowledgement sent to rf@HIDDEN:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-7.2 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 20 Nov 2008 23:26:26 +0000
Received: from mail.q-leap.de (ns2.q-leap.de [88.79.172.217])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mAKNQMnS015838
	for <1379@HIDDEN>; Thu, 20 Nov 2008 15:26:24 -0800
Received: by mail.q-leap.de (Postfix, from userid 5001)
	id D9BD4738; Fri, 21 Nov 2008 00:26:54 +0100 (CET)
Received: from fire (fire [192.168.55.80])
	by mail.q-leap.de (Postfix) with ESMTP id A539D5ED;
	Fri, 21 Nov 2008 00:26:51 +0100 (CET)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <18725.62000.38364.607040@HIDDEN>
Date: Fri, 21 Nov 2008 00:26:40 +0100
To: Dan Nicolaescu <dann@HIDDEN>
Cc: Stefan Monnier <monnier@HIDDEN>, 1379 <at> debbugs.gnu.org
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
In-Reply-To: <200811202317.mAKNHsY6012103@HIDDEN>
References: <18724.11527.50272.291284@HIDDEN>
	<200811200212.mAK2ClRG008674@HIDDEN>
	<18725.16319.588596.606651@HIDDEN>
	<jwvzljuphm9.fsf-monnier+emacsbugreports@HIDDEN>
	<18725.60248.707518.131755@HIDDEN>
	<200811202317.mAKNHsY6012103@HIDDEN>
X-Mailer: VM 8.0.9 under Emacs 22.2.1 (x86_64-pc-linux-gnu)
Reply-To: rf@HIDDEN
From: rf@HIDDEN

>>>>> "Dan" == Dan Nicolaescu <dann@HIDDEN> writes:

    Dan> rf@HIDDEN writes:
    >> >>>>> "Stefan" == Stefan Monnier <monnier@HIDDEN>
    >> writes:
    >> 
    >> >>>> I wanted to start using the "emacs --daemon" option with
    >> >>>> subsequent "emacsclient ..." invocations. Everything works
    >> >>>> fine, as long as only one of my X11 screens is used. But
    >> when >>>> I want to start a new frame on display :0.1 while one
    >> or more >>>> frames are already running on display :0.0 the
    >> following >>>> happens:
    >> >>>> 
    >> >>>> - Executing "emacsclient -c " for the first time: A frame
    >> >>>> appears, and immediately disappears again with the error
    >> >>>> message *ERROR*: X protocol error: BadDrawable (invalid
    >> >>>> Pixmap or Window parameter) on protocol request 14
    >> >>>> 
    >> >>>> - Executing "emacsclient -c " for the second time: A frame
    >> >>>> appears, but emacs is in a complete dead lock after this.
    >> >>>> 
    >> >>>> Used Version: i emacs-snapshot 1:20081013-1
    >> >>>> 
    >> >>>> on Ubuntu 8.10 / x86_64
    >> 
    >> 
    Dan> Can you please try to see if your scenario works without
    Dan> using the --daemon option?
    >> 
    Stefan> Actually, can you just try it without any
    Stefan> emacsclient/server?  I.e. start Emacs on one of the
    Stefan> screens, then do M-x make-frame-on-display and specify the
    Stefan> other display.
    >> 
    >> Good idea. It also doesn't work. Same error message.

    Dan> Can you please try to recompile emacs with
    Dan> --with-x-toolkit=lucid ?  And try again emacs -Q and M-x
    Dan> make-frame-on-display ?  (This is to make sure this is not a
    Dan> Gtk bug)

I'll try. But this will take some time, since I didn't compile this
myself (it's the version coming with Ubunto 8.10).




Acknowledgement sent to rf@HIDDEN:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-9.0 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 20 Nov 2008 23:18:17 +0000
Received: from sallyv2.ics.uci.edu (sallyv2.ics.uci.edu [128.195.1.120])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mAKNIFXI013437
	for <1379@HIDDEN>; Thu, 20 Nov 2008 15:18:16 -0800
Received: from mothra.ics.uci.edu (mothra.ics.uci.edu [128.195.6.93])
	by sallyv2.ics.uci.edu (8.13.7+Sun/8.13.7) with ESMTP id mAKNHtb8024944;
	Thu, 20 Nov 2008 15:17:59 -0800 (PST)
Received: (from dann@localhost)
	by mothra.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id mAKNHsY6012103;
	Thu, 20 Nov 2008 15:17:54 -0800 (PST)
Date: Thu, 20 Nov 2008 15:17:54 -0800 (PST)
Message-Id: <200811202317.mAKNHsY6012103@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: rf@HIDDEN
Cc: Stefan Monnier <monnier@HIDDEN>, 1379 <at> debbugs.gnu.org
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
References: <18724.11527.50272.291284@HIDDEN>
	<200811200212.mAK2ClRG008674@HIDDEN>
	<18725.16319.588596.606651@HIDDEN>
	<jwvzljuphm9.fsf-monnier+emacsbugreports@HIDDEN>
	<18725.60248.707518.131755@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <18725.60248.707518.131755@HIDDEN> (rf@HIDDEN's
	message of "Thu, 20 Nov 2008 23:57:28 +0100")
Lines: 38
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please contact the ISP for more information
X-ICS-MailScanner-ID: mAKNHtb8024944
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (score=-1.44, required 5,
	autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN

rf@HIDDEN writes:

  > >>>>> "Stefan" == Stefan Monnier <monnier@HIDDEN> writes:
  > 
  >     >>>> I wanted to start using the "emacs --daemon" option with
  >     >>>> subsequent "emacsclient ..." invocations. Everything works
  >     >>>> fine, as long as only one of my X11 screens is used. But when
  >     >>>> I want to start a new frame on display :0.1 while one or more
  >     >>>> frames are already running on display :0.0 the following
  >     >>>> happens:
  >     >>>> 
  >     >>>> - Executing "emacsclient -c " for the first time: A frame
  >     >>>> appears, and immediately disappears again with the error
  >     >>>> message *ERROR*: X protocol error: BadDrawable (invalid
  >     >>>> Pixmap or Window parameter) on protocol request 14
  >     >>>> 
  >     >>>> - Executing "emacsclient -c " for the second time: A frame
  >     >>>> appears, but emacs is in a complete dead lock after this.
  >     >>>> 
  >     >>>> Used Version: i emacs-snapshot 1:20081013-1
  >     >>>> 
  >     >>>> on Ubuntu 8.10 / x86_64
  > 
  > 
  >     Dan> Can you please try to see if your scenario works without
  >     Dan> using the --daemon option?
  > 
  >     Stefan> Actually, can you just try it without any
  >     Stefan> emacsclient/server?  I.e. start Emacs on one of the
  >     Stefan> screens, then do M-x make-frame-on-display and specify the
  >     Stefan> other display.
  > 
  > Good idea. It also doesn't work. Same error message.

Can you please try to recompile emacs with --with-x-toolkit=lucid ? 
And try again 
emacs -Q and M-x make-frame-on-display ?
(This is to make sure this is not a Gtk bug)




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-7.2 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 20 Nov 2008 22:57:16 +0000
Received: from mail.q-leap.de (ns2.q-leap.de [88.79.172.217])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mAKMvCVH007858
	for <1379@HIDDEN>; Thu, 20 Nov 2008 14:57:14 -0800
Received: by mail.q-leap.de (Postfix, from userid 5001)
	id 33F58738; Thu, 20 Nov 2008 23:57:44 +0100 (CET)
Received: from fire (fire [192.168.55.80])
	by mail.q-leap.de (Postfix) with ESMTP id 9CC825ED;
	Thu, 20 Nov 2008 23:57:40 +0100 (CET)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <18725.60248.707518.131755@HIDDEN>
Date: Thu, 20 Nov 2008 23:57:28 +0100
To: Stefan Monnier <monnier@HIDDEN>
Cc: 1379 <at> debbugs.gnu.org, Dan Nicolaescu <dann@HIDDEN>
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
In-Reply-To: <jwvzljuphm9.fsf-monnier+emacsbugreports@HIDDEN>
References: <18724.11527.50272.291284@HIDDEN>
	<200811200212.mAK2ClRG008674@HIDDEN>
	<18725.16319.588596.606651@HIDDEN>
	<jwvzljuphm9.fsf-monnier+emacsbugreports@HIDDEN>
X-Mailer: VM 8.0.9 under Emacs 23.0.60.1 (x86_64-pc-linux-gnu)
Reply-To: rf@HIDDEN
From: rf@HIDDEN

>>>>> "Stefan" == Stefan Monnier <monnier@HIDDEN> writes:

    >>>> I wanted to start using the "emacs --daemon" option with
    >>>> subsequent "emacsclient ..." invocations. Everything works
    >>>> fine, as long as only one of my X11 screens is used. But when
    >>>> I want to start a new frame on display :0.1 while one or more
    >>>> frames are already running on display :0.0 the following
    >>>> happens:
    >>>> 
    >>>> - Executing "emacsclient -c " for the first time: A frame
    >>>> appears, and immediately disappears again with the error
    >>>> message *ERROR*: X protocol error: BadDrawable (invalid
    >>>> Pixmap or Window parameter) on protocol request 14
    >>>> 
    >>>> - Executing "emacsclient -c " for the second time: A frame
    >>>> appears, but emacs is in a complete dead lock after this.
    >>>> 
    >>>> Used Version: i emacs-snapshot 1:20081013-1
    >>>> 
    >>>> on Ubuntu 8.10 / x86_64


    Dan> Can you please try to see if your scenario works without
    Dan> using the --daemon option?

    Stefan> Actually, can you just try it without any
    Stefan> emacsclient/server?  I.e. start Emacs on one of the
    Stefan> screens, then do M-x make-frame-on-display and specify the
    Stefan> other display.

Good idea. It also doesn't work. Same error message.




Acknowledgement sent to rf@HIDDEN:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-9.0 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 20 Nov 2008 17:26:59 +0000
Received: from sallyv2.ics.uci.edu (sallyv2.ics.uci.edu [128.195.1.120])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mAKHQuda019351
	for <1379@HIDDEN>; Thu, 20 Nov 2008 09:26:57 -0800
Received: from mothra.ics.uci.edu (mothra.ics.uci.edu [128.195.6.93])
	by sallyv2.ics.uci.edu (8.13.7+Sun/8.13.7) with ESMTP id mAKHQkN8009606;
	Thu, 20 Nov 2008 09:26:46 -0800 (PST)
Received: (from dann@localhost)
	by mothra.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id mAKHQjsM010696;
	Thu, 20 Nov 2008 09:26:45 -0800 (PST)
Date: Thu, 20 Nov 2008 09:26:45 -0800 (PST)
Message-Id: <200811201726.mAKHQjsM010696@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: rf@HIDDEN
Cc: 1379 <at> debbugs.gnu.org
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
References: <18724.11527.50272.291284@HIDDEN>
	<200811200212.mAK2ClRG008674@HIDDEN>
	<18725.16319.588596.606651@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <18725.16319.588596.606651@HIDDEN> (rf@HIDDEN's
	message of "Thu, 20 Nov 2008 11:45:19 +0100")
Lines: 60
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please contact the ISP for more information
X-ICS-MailScanner-ID: mAKHQkN8009606
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (score=-1.44, required 5,
	autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN

rf@HIDDEN writes:

  > >>>>> "Dan" == Dan Nicolaescu <dann@HIDDEN> writes:
  > 
  > Hi Dan,
  > 
  >     Dan> rf@HIDDEN writes:
  >     >> Hi,
  >     >> 
  >     >> I wanted to start using the "emacs --daemon" option with
  >     >> subsequent "emacsclient ..." invocations. Everything works
  >     >> fine, as long as only one of my X11 screens is used. But when I
  >     >> want to start a new frame on display :0.1 while one or more
  >     >> frames are already running on display :0.0 the following
  >     >> happens:
  >     >> 
  >     >> - Executing "emacsclient -c " for the first time: A frame
  >     >> appears, and immediately disappears again with the error
  >     >> message *ERROR*: X protocol error: BadDrawable (invalid Pixmap
  >     >> or Window parameter) on protocol request 14
  >     >> 
  >     >> - Executing "emacsclient -c " for the second time: A frame
  >     >> appears, but emacs is in a complete dead lock after this.
  >     >> 
  >     >> Used Version: i emacs-snapshot 1:20081013-1
  >     >> 
  >     >> on Ubuntu 8.10 / x86_64
  > 
  > 
  >     Dan> Can you please try to see if your scenario works without
  >     Dan> using the --daemon option?
  > 
  >     Dan> Start emacs like this:
  > 
  >     Dan> emacs -Q -f server-start&
  > 
  >     Dan> and then use emacsclient -c to connect.
  > 
  > I already had put (server-start) in my .emacs. This shows the same
  > behaviour.

Putting (server-start) in your .emacs is most of the time not the same
as using 

emacs -Q -f server-start&

so please try that, and even better, please try what Stefan asked:

  Actually, can you just try it without any emacsclient/server?
  I.e. start Emacs on one of the screens, then do
  M-x make-frame-on-display and specify the other display.

Make sure that you use 

emacs -Q&

when trying the above.

Thanks





Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-6.6 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 20 Nov 2008 15:01:43 +0000
Received: from chene.dit.umontreal.ca (chene.dit.umontreal.ca [132.204.246.20])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mAKF1cc2013266
	for <1379@HIDDEN>; Thu, 20 Nov 2008 07:01:40 -0800
Received: from ceviche.home (vpn-132-204-232-86.acd.umontreal.ca [132.204.232.86])
	by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id mAKF1b2r011703;
	Thu, 20 Nov 2008 10:01:37 -0500
Received: by ceviche.home (Postfix, from userid 20848)
	id 6DE62B40D7; Thu, 20 Nov 2008 10:01:37 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: rf@HIDDEN
Cc: 1379 <at> debbugs.gnu.org, Dan Nicolaescu <dann@HIDDEN>
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
Message-ID: <jwvzljuphm9.fsf-monnier+emacsbugreports@HIDDEN>
References: <18724.11527.50272.291284@HIDDEN>
	<200811200212.mAK2ClRG008674@HIDDEN>
	<18725.16319.588596.606651@HIDDEN>
Date: Thu, 20 Nov 2008 10:01:37 -0500
In-Reply-To: <18725.16319.588596.606651@HIDDEN> (rf@HIDDEN's
	message of "Thu, 20 Nov 2008 11:45:19 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV3151=0

>>> I wanted to start using the "emacs --daemon" option with
>>> subsequent "emacsclient ..." invocations. Everything works
>>> fine, as long as only one of my X11 screens is used. But when I
>>> want to start a new frame on display :0.1 while one or more
>>> frames are already running on display :0.0 the following
>>> happens:
>>> 
>>> - Executing "emacsclient -c " for the first time: A frame
>>> appears, and immediately disappears again with the error
>>> message *ERROR*: X protocol error: BadDrawable (invalid Pixmap
>>> or Window parameter) on protocol request 14
>>> 
>>> - Executing "emacsclient -c " for the second time: A frame
>>> appears, but emacs is in a complete dead lock after this.
>>> 
>>> Used Version: i emacs-snapshot 1:20081013-1
>>> 
>>> on Ubuntu 8.10 / x86_64


Dan> Can you please try to see if your scenario works without
Dan> using the --daemon option?

Actually, can you just try it without any emacsclient/server?
I.e. start Emacs on one of the screens, then do
M-x make-frame-on-display and specify the other display.


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-7.5 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 20 Nov 2008 10:45:09 +0000
Received: from mail.q-leap.de (ns2.q-leap.de [88.79.172.217])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mAKAj570010238
	for <1379@HIDDEN>; Thu, 20 Nov 2008 02:45:07 -0800
Received: by mail.q-leap.de (Postfix, from userid 5001)
	id 12D26678; Thu, 20 Nov 2008 11:45:37 +0100 (CET)
Received: from fire (fire [192.168.55.80])
	by mail.q-leap.de (Postfix) with ESMTP id 3CEE15D5;
	Thu, 20 Nov 2008 11:45:34 +0100 (CET)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <18725.16319.588596.606651@HIDDEN>
Date: Thu, 20 Nov 2008 11:45:19 +0100
To: Dan Nicolaescu <dann@HIDDEN>
Cc: 1379 <at> debbugs.gnu.org
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
In-Reply-To: <200811200212.mAK2ClRG008674@HIDDEN>
References: <18724.11527.50272.291284@HIDDEN>
	<200811200212.mAK2ClRG008674@HIDDEN>
X-Mailer: VM 8.0.9 under Emacs 22.2.1 (x86_64-pc-linux-gnu)
Reply-To: rf@HIDDEN
From: rf@HIDDEN

>>>>> "Dan" == Dan Nicolaescu <dann@HIDDEN> writes:

Hi Dan,

    Dan> rf@HIDDEN writes:
    >> Hi,
    >> 
    >> I wanted to start using the "emacs --daemon" option with
    >> subsequent "emacsclient ..." invocations. Everything works
    >> fine, as long as only one of my X11 screens is used. But when I
    >> want to start a new frame on display :0.1 while one or more
    >> frames are already running on display :0.0 the following
    >> happens:
    >> 
    >> - Executing "emacsclient -c " for the first time: A frame
    >> appears, and immediately disappears again with the error
    >> message *ERROR*: X protocol error: BadDrawable (invalid Pixmap
    >> or Window parameter) on protocol request 14
    >> 
    >> - Executing "emacsclient -c " for the second time: A frame
    >> appears, but emacs is in a complete dead lock after this.
    >> 
    >> Used Version: i emacs-snapshot 1:20081013-1
    >> 
    >> on Ubuntu 8.10 / x86_64


    Dan> Can you please try to see if your scenario works without
    Dan> using the --daemon option?

    Dan> Start emacs like this:

    Dan> emacs -Q -f server-start&

    Dan> and then use emacsclient -c to connect.

I already had put (server-start) in my .emacs. This shows the same
behaviour.

Thanks,

Roland




Acknowledgement sent to rf@HIDDEN:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-9.0 required=4.0 tests=AWL,BAYES_00,HAS_BUG_NUMBER,
	X_DEBBUGS_NO_ACK autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1379) by emacsbugs.donarmstrong.com; 20 Nov 2008 02:13:00 +0000
Received: from barrelv2.ics.uci.edu (barrelv2.ics.uci.edu [128.195.1.114])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mAK2Cw69005353
	for <1379@HIDDEN>; Wed, 19 Nov 2008 18:12:59 -0800
Received: from mothra.ics.uci.edu (mothra.ics.uci.edu [128.195.6.93])
	by barrelv2.ics.uci.edu (8.13.7+Sun/8.13.7) with ESMTP id mAK2CmSO009351;
	Wed, 19 Nov 2008 18:12:48 -0800 (PST)
Received: (from dann@localhost)
	by mothra.ics.uci.edu (8.13.8+Sun/8.13.6/Submit) id mAK2ClRG008674;
	Wed, 19 Nov 2008 18:12:47 -0800 (PST)
Date: Wed, 19 Nov 2008 18:12:47 -0800 (PST)
Message-Id: <200811200212.mAK2ClRG008674@HIDDEN>
From: Dan Nicolaescu <dann@HIDDEN>
To: rf@HIDDEN
Cc: 1379 <at> debbugs.gnu.org
Subject: Re: bug#1379: emacs --daemon not working with X11 dual-head
References: <18724.11527.50272.291284@HIDDEN>
X-Debbugs-No-Ack: yes
In-Reply-To: <18724.11527.50272.291284@HIDDEN> (rf@HIDDEN's
	message of "Wed, 19 Nov 2008 16:13:11 +0100")
Lines: 33
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-ICS-MailScanner-Information: Please contact the ISP for more information
X-ICS-MailScanner-ID: mAK2CmSO009351
X-ICS-MailScanner: Found to be clean
X-ICS-MailScanner-SpamCheck: not spam, SpamAssassin (score=-1.44, required 5,
	autolearn=disabled, ALL_TRUSTED -1.44)
X-ICS-MailScanner-From: dann@HIDDEN

rf@HIDDEN writes:

  > Hi,
  > 
  > I wanted to start using the "emacs --daemon" option with subsequent
  > "emacsclient ..." invocations. Everything works fine, as long as only
  > one of my X11 screens is used. But when I want to start a new frame
  > on display :0.1 while one or more frames are already running on
  > display :0.0 the following happens:
  > 
  > - Executing "emacsclient -c " for the first time: A frame appears, and
  >   immediately disappears again with the error message
  >   *ERROR*: X protocol error: BadDrawable (invalid Pixmap or Window parameter) on protocol request 14
  > 
  > - Executing "emacsclient -c " for the second time: A frame appears,
  >   but emacs is in a complete dead lock after this.
  > 
  > Used Version: 
  > i  emacs-snapshot                                   1:20081013-1
  > 
  > on Ubuntu 8.10 / x86_64


Can you please try to see if your scenario works without using the
--daemon option?

Start emacs like this:

emacs -Q -f server-start&

and then use
 emacsclient -c 
to connect.




Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-8.0 required=4.0 tests=BAYES_00,RCVD_IN_DNSWL_MED
	autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 19 Nov 2008 15:13:10 +0000
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mAJFD3Ip028956
	for <submit@HIDDEN>; Wed, 19 Nov 2008 07:13:04 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1L2ojm-0002Wf-N8
	for bug-gnu-emacs@HIDDEN; Wed, 19 Nov 2008 10:13:02 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1L2ojk-0002Ub-6s
	for bug-gnu-emacs@HIDDEN; Wed, 19 Nov 2008 10:13:00 -0500
Received: from [199.232.76.173] (port=34716 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1L2ojk-0002UM-2B
	for bug-gnu-emacs@HIDDEN; Wed, 19 Nov 2008 10:13:00 -0500
Received: from ns2.q-leap.de ([88.79.172.217]:58641 helo=mail.q-leap.de)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <rf@HIDDEN>)
	id 1L2oji-0004l0-RX
	for bug-gnu-emacs@HIDDEN; Wed, 19 Nov 2008 10:12:59 -0500
Received: by mail.q-leap.de (Postfix, from userid 5001)
	id 30DA1918; Wed, 19 Nov 2008 16:13:33 +0100 (CET)
Received: from fire (fire [192.168.55.80])
	by mail.q-leap.de (Postfix) with ESMTP id 46D0F5E9
	for <bug-gnu-emacs@HIDDEN>; Wed, 19 Nov 2008 16:13:30 +0100 (CET)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <18724.11527.50272.291284@HIDDEN>
Date: Wed, 19 Nov 2008 16:13:11 +0100
To: bug-gnu-emacs@HIDDEN
Subject: emacs --daemon not working with X11 dual-head
X-Mailer: VM 8.0.9 under Emacs 22.2.1 (x86_64-pc-linux-gnu)
Reply-To: rf@HIDDEN
From: rf@HIDDEN
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 1)

Hi,

I wanted to start using the "emacs --daemon" option with subsequent
"emacsclient ..." invocations. Everything works fine, as long as only
one of my X11 screens is used. But when I want to start a new frame
on display :0.1 while one or more frames are already running on
display :0.0 the following happens:

- Executing "emacsclient -c " for the first time: A frame appears, and
  immediately disappears again with the error message
  *ERROR*: X protocol error: BadDrawable (invalid Pixmap or Window parameter) on protocol request 14

- Executing "emacsclient -c " for the second time: A frame appears,
  but emacs is in a complete dead lock after this.

Used Version: 
i  emacs-snapshot                                   1:20081013-1

on Ubuntu 8.10 / x86_64

Thanks for your help,

Roland





Acknowledgement sent to rf@HIDDEN:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#1379; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 2 Dec 2017 22:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.